Bug 71149 - SPELL: Objects inline with text ignored by spellchecks, leading to double space warnings
Summary: SPELL: Objects inline with text ignored by spellchecks, leading to double spa...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2013-11-01 23:14 UTC by Luiz Angelo Daros de Luca
Modified: 2019-07-03 19:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Two lines that generates grammar warnings. The first in pt_BR and the second in en_US. (20.75 KB, application/vnd.oasis.opendocument.text)
2013-11-01 23:14 UTC, Luiz Angelo Daros de Luca
Details
Example option for resolving issue (24.41 KB, image/png)
2015-02-20 05:12 UTC, alexanderdarino
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luiz Angelo Daros de Luca 2013-11-01 23:14:03 UTC
Created attachment 88521 [details]
Two lines that generates grammar warnings. The first in pt_BR and the second in en_US.

Hello,

U use formulas embedded inside a line like:

The e=mc² is cool.

If e=mc² is inserted as an OLE Formula Object, grammar checker warns that "The  is cool." has two spaces

The similar problems happens when the formula is at the beginning or the end of a phase.

I'll attach an example doc.

I'm using LanguageTool Extension v2.2.
Operating System: Ubuntu
Version: 4.1.2.3 release
Comment 1 Jean-Baptiste Faure 2013-11-02 10:04:54 UTC
I have the same problem with the grammar checker for French Grammalecte.

Best regards. JBF
Comment 2 Olivier R. 2013-11-02 10:25:37 UTC
The grammar checker says: “"The  is cool." has two spaces”
because the grammar checker receives only the sentence “The  is cool.”

Objects are not sent to grammar checkers. They receive only the text. IMHO, the GC iterator should send to grammar checkers a specific word to replace such objects instead of nothing.
Comment 3 alexanderdarino 2015-02-20 05:12:41 UTC
Created attachment 113537 [details]
Example option for resolving issue

I'd love to see a checkbox for "Treat objects as words" under Language Sessions> English sentence checking.

Has this bug been forgotten or is it just not high enough priority?
Comment 4 Luiz Angelo Daros de Luca 2015-04-02 03:03:07 UTC
Still present on 4.4.2.2.
Comment 5 tommy27 2016-04-16 07:27:35 UTC Comment hidden (obsolete)
Comment 6 alexanderdarino 2016-04-16 13:57:56 UTC
Still affects Windows x64 Version 5.0.5.2 x64.
Comment 7 Luiz Angelo Daros de Luca 2016-05-01 22:52:51 UTC
Still present on 5.1.2.2 ubuntu 16.04
Comment 8 QA Administrators 2017-05-22 13:41:15 UTC Comment hidden (obsolete)
Comment 9 Olivier R. 2017-05-23 05:59:55 UTC
Still present on 5.3.
Comment 10 QA Administrators 2018-05-24 02:45:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug